//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  vector<int> coll;

  INSERT_ELEMENTS(coll,1,9);
  PRINT_ELEMENTS(coll," :\n");

  //      
  rotate (coll.begin(),      //  
          coll.begin() + 1,  //   
          coll.end());       //  
  PRINT_ELEMENTS(coll,"     :\n");

  //      
  rotate (coll.begin(),      //  
          coll.end() - 2,    //   
          coll.end());       //  
  PRINT_ELEMENTS(coll,"     :\n");
  //  ,       4
  //   
  rotate (coll.begin(),                     //  
          find(coll.begin(),coll.end(),4),  //   
          coll.end());                      //  
  PRINT_ELEMENTS(coll,"  c 4 :\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------